#!/bin/bash

jboss_home="$OPT_DIR/jboss"
jboss_versions=(
	'wildfly-8.2.0.Final.tar.gz=http://download.jboss.org/wildfly/8.2.0.Final/wildfly-8.2.0.Final.tar.gz'
	'jboss-4.2.3.GA.zip=http://downloads.sourceforge.net/project/jboss/JBoss/JBoss-4.2.3.GA/jboss-4.2.3.GA.zip'
	)
jbossFileName=""
jbossUrl=""

function selectJboss() {
	if [ "${jbossFileName}" = "" ] || [ "${jbossUrl}" = "" ]; then
		if [ "${isFullInstall}" = true ]; then
			jbossFileName="${jboss_versions[0]%%=*}"
			jbossUrl="${jboss_versions[0]##*=}"
		else
			echo_line "Please select Jboss version."
			arrayTmp=(${jboss_versions[@]})
			selectOption

			jbossFileName="${selKey}"
			jbossUrl="${selVal}"

			resetSelectOption
		fi
	fi
}

function installJboss() {
	echo_color "-------"
	echo_color " Jboss "
	echo_color "-------"
	gogo
	if [ $pass = 1 ]; then
		return 1
	fi

	# Select jboss version
	selectJboss

	if [ ! -d ${TMP_DIR}/${jbossFileName} ]; then
		echo_line "Downloads Jboss ${jbossFileName}"
		execCmd "wget -P $TMP_DIR $jbossUrl"
	else
		echo_line "${jbossFileName} already exists."
	fi

	sudoMkDir $jboss_home

	echo_line "Install Jboss..."
	execCmd "sudo tar zxf $TMP_DIR/$jbossFileName -C $jboss_home"
	echo_line "Install Jboss...Done"
}